const $sendEmailButton = $("#contact-send-email-button");
async function sendContactEmail() {
    $sendEmailButton.prop("disabled", true);
    $sendEmailButton.html("Sending...");
    const emailData = {
        toEmail: $("#contact-email").val(),
        toName: $("#contact-full-name").val(),
        subject: $("#contact-subject").val(),
        phoneNumber: $("#contact-phone").val(),
        body: $("#contact-message").val(),
        isContactRequest: true,
    }
    let hasError = false;
    const errors = {
        "Email": emailData.toEmail === "" ,
        "Name": emailData.toName === "",
        "Subject": emailData.subject === "" || emailData.subject == null,
        "Phone Number": emailData.phoneNumber === "",
        "Message": emailData.body === "",
    };
    let formError = '<p>The following fields are missing:</p>';
    for(let error in errors) {
        if(errors[error]) {
            formError += `<p class="mb-0">${error}</p>`;
            hasError = true;
        }
    }
    if(hasError) {
        $sendEmailButton.html("Send");
        $sendEmailButton.prop("disabled", false);
        return $('#alert-box').html(`<div class="alert alert-danger">${formError}</div>`);
    }
    let emailResult = await $.ajax({
        method: "POST",
        url: "ajax_send_email.php",
        data: emailData,
    });
    emailResult = JSON.parse(emailResult);
    if(emailResult.result_code === 0) {
        $sendEmailButton.html("Send");
        $sendEmailButton.prop("disabled", true);
        return $('#alert-box').html(`<div class="alert alert-success">${account_results.message}</div>`);
    }
    $sendEmailButton.html("Email Sent!");
}

$sendEmailButton.click(sendContactEmail);