<?php

// ADDED


include(DIR_WS_MODULES . zen_get_module_directory(FILENAME_PRODUCT_LISTING));

$splitResult = new splitPageResults($listing_sql, 25, 'p.products_id', 'page');
$query = $splitResult->sql_query;

    function renderProducts() {
        global $query;
        global $db;
        $products = "";
        $productList= $db->Execute($query);
        foreach($productList as $product) {
            $isBaseProduct = $product['is_base_product'];
            $manufactureText =  $product['manufacturers_name'];
            $productBoldText = "Model # " . $product['products_model']. " (" . $manufactureText . ")";
            $productName = $product['products_name'];
            $productAltName = $product['products_alt_name'];
            $brands_to_rebuilt = array(
                "PMP NEW", "ESCO SERVICES", "DAVIS AIRTECH","FREEDOM ELECTRONICS", "RDM", "FREEDOM / RDM OUTRIGHT", "GLOBAL LIGHT", "PMP", 
            );
            if (array_search(strtoupper($manufactureText), $brands_to_rebuilt)) {
                $manufactureText = '<em>(REBUILT PART)</em>';
            }
            $imagePath = "/images/" . $product['products_image'];
            $productName = $product['products_name'];
            $price = "";
            
            if (isset($cPath)) {
                $urlLink = "?main_page=product_info&cPath=$cPath&products_id=" . $product['products_id'];
            } else {
                $urlLink = "?main_page=product_info&products_id=" . $product['products_id'];
            }
            if($isBaseProduct) {
                $subProductList = $db->Execute("select distinct p.*, p.products_price, pd.products_name, pd.products_alt_name, p.products_model, pd.*
                from " . "zen_products_xsell" . " xp, " . "zen_products" . " p, " . "zen_products_description" . " pd
                where xp.products_id = '" . $product['products_id'] . "'
                and xp.xsell_id = p.products_id
                and p.products_id = pd.products_id
                and xp.xsell_placement = '". "options" ."'
                order by xp.sort_order asc limit " . "100");
                if($subProductList->RecordCount() > 0 && !$product['product_is_call'] ){ 
                    $lowestPrice = 1000000000000.00;
                    foreach($subProductList as $subProduct) {
                        if($subProduct['products_price'] < $lowestPrice) {
                            $lowestPrice = $subProduct['products_price'];
                        }
                    }
                    $formattedPrice = number_format($lowestPrice, 2);
                    $price = "Starting at $$formattedPrice ";
                } 
            } else if($product['product_is_call'] == "1") {
                $price = "Call For Price";
            } else {
                $price = "Only $" . number_format($product['products_price'], 2);
            }
            $freeShippingElement = $product['product_is_always_free_shipping'] ? "<p class='product-item-free-shipping'>Free Shipping</p>" : "";
            $products .= "
                <a class='products-grid-item' href='$urlLink' title='$productName link'>
                    $freeShippingElement
                    <div class='products-grid-item-product'>
                        <img class='img-fluid' src='$imagePath' alt='$productName Image' />
                        <p class='fs-6 fw-bold product-item-additional-info'>$productBoldText</p>
                        <p class='product-item-name'>$productName</p>
                        <p class='product-item-alt-name'>$productAltName</p>
                        <p class='product-item-price fw-bold text-danger'>$price</p>
                    </div>
                </a>
            ".PHP_EOL;
        }
        return $products;
    }
    // DONE ADDED




    function echoVar($var) {
        echo $var . "\n";
    }
    $options = array(
        "Manufacturer" => array(
            "filterName" => "Manufacturer",
            "options" => array()
        ),
    );
    $products_list = $db->Execute($listing_sql);
    foreach ($products_list as $product) {
        $productId = $product['products_id'];
        $queryStatement = "SELECT options_id, options_values_id FROM zen_products_attributes WHERE products_id = '$productId'";
        $attributes = $db->Execute($queryStatement);
        foreach ($attributes as $attribute) {
            $optionId = $attribute['options_id'];
            $optionValueId = $attribute["options_values_id"];
            if(!isset($options[$optionId])) {
                $optionNameData = $db->Execute("SELECT products_options_name FROM zen_products_options WHERE products_options_id = '$optionId' AND products_options_type = 5");
                $optionName = $optionNameData->fields['products_options_name'];
                $options[$optionId] = array( "filterName" => $optionName);
                $options[$optionId]["options"] = array();
            }
            $optionNameValues = $db->Execute("SELECT products_options_values_name FROM zen_products_options_values WHERE products_options_values_id = '$optionValueId' ");
            foreach ($optionNameValues as $optionValue) {
                $value = $optionValue['products_options_values_name'];
                if(!isset($options[$optionId]["options"][$value])) {
                    $options[$optionId]["options"][$value] = $value;
                }
            }
        }
        $manufacturerId = $product['manufacturers_id'];
        $manufacturerName = $product['manufacturers_name'];

        if(!isset($options["Manufacturer"]["options"][$manufacturerId])) {
            $options["Manufacturer"]["options"][$manufacturerId] = $manufacturerName;
        }
    }
?>
<main class="container-lg">
    
    <p class="small-text breadcrumb-container">
        <?php echo $breadcrumb->trail("/"); ?>
    </p>
  <div class="row mb-5 pt-3">
    <div class="col-sm-12 col-lg-3">
      <ul class="list-group" id="products-page-sublist">      
        <div class="dropdown">
          <button class="btn btn-secondary dropdown-toggle w-100" type="button" id="products-page-sublist-dropdown" data-bs-toggle="dropdown" aria-expanded="false">
            Filter
          </button>
          <ul class="dropdown-menu" aria-labelledby="products-page-sublist-dropdown" id="products-page-sublist-dropdown-menu">

            <?php
                foreach($options as $key => $filter) {  
                    $filterName = $filter['filterName'];
                    $filterOptions = "";
                    $numberOfOptions = count($filter['options']);
                    if($numberOfOptions > 0) {
                        foreach($filter['options'] as $option) {
                            $filterOptions .= "
                            <div class='form-check'>
                                <input class='form-check-input' type='checkbox' id='$option-radio-button' value='$option' data-filter-option-id='$key' />
                                <label class='form-check-label' for='$option-radio-button'>
                                    $option
                                </label>
                            </div>
                            ";
                        }

                        echo "<li class='product-attribute'>
                        <p class='products-page-attribute-title'>$filterName</p>
                            <form>
                                $filterOptions
                            </form>
                        </li>";
                    }
                }
            ?>
          </ul>
        </div>
      </ul>
    </div>
    <div class="col-sm-12 col-lg-9">
        <h1><?php echo $current_categories_name; ?></h1>
        <div class="row">
            <div id="products-grid">
                <?php echo renderProducts(); ?>
                
            </div>
        </div>
        
        <?php 
            if($current_categories_description != "<!--Westech Equipment-->") {
                echo "
                <div class='bg-grey p-3'>
                    $current_categories_description
                </div>
                ";
            }
        ?>
        <div id="productsListingListingTopLinks" class="navSplitPagesLinks forward">
            <?php
            if (!isset($max_display_page_links)) $max_display_page_links = 15;
            if (!isset($paginateAsUL)) $paginateAsUL = false;
            ?>
            <?php echo TEXT_RESULT_PAGE . $splitResult->display_links($max_display_page_links, zen_get_all_get_params(array('page', 'info', 'x', 'y', 'main_page')), $paginateAsUL); ?>
        </div>

        <div id="productsListingBottomNumber" class="navSplitPagesResult back">
            <?php echo $splitResult->display_count(TEXT_DISPLAY_NUMBER_OF_PRODUCTS); ?>
        </div>
    </div>
  </div>
</main>