<?php

/**
 * Page Template
 *
 * Loaded automatically by index.php?main_page=product_info.
 * Displays details of a typical product
 *
 * @copyright Copyright 2003-2022 Zen Cart Development Team
 * @copyright Portions Copyright 2003 osCommerce
 * @license http://www.zen-cart.com/license/2_0.txt GNU Public License V2.0
 * @version $Id: Scott C Wilson 2021 Aug 07 Modified in v1.5.8-alpha $
 */
  $isRebuilt = 0;
  $productPrice = "Starting at $" .  number_format($product_info->fields['products_price'], 2);
  $productId = $product_info->fields['products_id'];

  $attributesQuery = "
    SELECT pa.options_id, pa.options_values_id, pa.options_values_price, po.products_options_type 
    FROM zen_products_attributes pa 
    LEFT JOIN zen_products_options po ON po.products_options_id = pa.options_id  
    WHERE products_id = '$productId' AND po.products_options_type != 5
    ORDER BY pa.options_values_id
  ";
  $attributes = $db->Execute($attributesQuery);
  $attributesCount = $attributes->RecordCount();

  $check_attributes_sql 		= "select pa.options_id, po.products_options_type ".
    "from " . TABLE_PRODUCTS_ATTRIBUTES . " pa, " . TABLE_PRODUCTS_OPTIONS . " po ".
    "where products_id = '$productId' ".
    "and pa.options_id = po.products_options_id ".
    "group by pa.options_id";

  $pr_attr 					= $db->Execute($check_attributes_sql);
  $check_attributes_count		= $pr_attr->RecordCount();
  $pr_attr->fields['total']	= $check_attributes_count; //Fix for template checks
  
  $brands_to_rebuilt = array(
      "PMP NEW", "ESCO SERVICES", "DAVIS AIRTECH","FREEDOM ELECTRONICS", "RDM", "FREEDOM / RDM OUTRIGHT", "GLOBAL LIGHT", "PMP", 
  );
  if (array_search(strtoupper($manufacturers_name), $brands_to_rebuilt))
  {
    $manufacturers_name = '<em>(REBUILT PART)</em>';
    $isRebuilt = 1;
  }
  $imageUrl = "/images/" . $product_info->fields['products_image'];
  $productTitle = "<h5><span class='brand-text-color'>$manufacturers_name</span> <span class='model-text-color'>$products_model</span> $products_name</h5>";
  $productAlternateName = $product_info->fields["products_alt_name"];
  $isFreeShipping = $product_info->fields["product_is_always_free_shipping"];
  $isMadeInTheUsa = $product_info->fields["madein"];
  $warrantyLength = $product_info->fields["warranty"];
  $warrantySection = "";
  if($warrantyLength > 0)
  {
    $warrantyImageUrl = "";
    $altText= "";
    switch($warrantyLength)
    {
      case "1":
        $warrantyImageUrl = "/images/design/mfr-warranty.png";
        $altText = "Full Manufacturer Warranty";
        break;
      case "2":
        $warrantyImageUrl = "/images/design/1-year-mfr-warranty.png";
        $altText = "One Year Manufacturer Warranty";
        break;
      case "3":
        $warrantyImageUrl = "/images/design/2-year-mfr-warranty.png";
        $altText = "Two Year Manufacturer Warranty";
        break;
      case "4":
        $warrantyImageUrl = "/images/design/3-year-mfr-warranty.png";
        $altText = "Three Year Manufacturer Warranty";
        break;
      case "5":
        $warrantyImageUrl = "/images/design/5-year-mfr-warranty.jpg";
        $altText = "Five Year Manufacturer Warranty";
        break;
      case "6":
        $warrantyImageUrl = "/images/design/4-year-warranty.png";
        $altText = "Four Year Manufacturer Warranty";
        break;
      case "7":
        $warrantyImageUrl = "/images/design/10-year-warranty.png";
        $altText = "Ten Year Manufacturer Warranty";
        break;
      default:
      break;
    }
    $warrantySection = 
      "<div class='col-4 col-sm-3 col-md-2 col-lg-3'>
        <img class='img-fluid product-sub-image' src='$warrantyImageUrl ' alt='$altText' />
      </div>";
  }
  $productDescription = $product_info->fields["products_description"];
  $isCallProduct = $product_info->fields["product_is_call"] == 1;
  $hasAccessories = false;
  $isBaseProduct = $product_info->fields["is_base_product"] == 1;
  
  $products = array();
  if($isBaseProduct)
  {
    $products = $db->Execute("select distinct p.products_id, p.products_price as price, p.products_image, pd.products_name, pd.products_alt_name, p.products_model, p.is_core, p.is_exchange
    from " . "zen_products_xsell" . " xp, " . "zen_products" . " p, " . "zen_products_description" . " pd
    where xp.products_id = '" . $_GET['products_id'] . "'
    and xp.xsell_id = p.products_id
    and p.products_id = pd.products_id
    and xp.xsell_placement = '". "options" ."'
    order by xp.sort_order asc limit " . "100");  
  }
  else
  {
    $products["0"] = array(
      "products_id" => $product_info->fields["products_id"],
      "price" => $isCallProduct == "1" ? "Call For Price" : $product_info->fields["products_price"],
      "products_name" => $product_info->fields["products_name"],
      "products_alt_name" => $product_info->fields["products_alt_name"],
      "products_model" => $product_info->fields["products_model"],
    );
  }

  $accessories = $db->Execute("select distinct p.products_id, p.products_price as price, p.products_image, pd.products_name, pd.products_alt_name, p.products_model, p.is_core, p.is_exchange
  from " . "zen_products_xsell" . " xp, " . "zen_products" . " p, " . "zen_products_description" . " pd
  where xp.products_id = '" . $_GET['products_id'] . "' AND p.is_core = '0'
  and xp.xsell_id = p.products_id
  and p.products_id = pd.products_id
  and xp.xsell_placement = '". "accessories" ."'
  order by xp.sort_order asc limit " . "100"); 
  $cores = $db->Execute("select distinct p.products_id, p.products_price as price, p.products_image, pd.products_name, pd.products_alt_name, p.products_model, p.is_core, p.is_exchange
  from " . "zen_products_xsell" . " xp, " . "zen_products" . " p, " . "zen_products_description" . " pd
  where xp.products_id = '" . $_GET['products_id'] . "' AND p.is_core = '1'
  and xp.xsell_id = p.products_id
  and p.products_id = pd.products_id
  and xp.xsell_placement = '". "accessories" ."'
  order by xp.sort_order asc limit " . "100"); 

  $hasCores = $cores->RecordCount() > 0;
  $hasAccessories = $accessories->RecordCount() > 0;

  function echoIfTrue($expression, $print_me)
  {
    if($expression == true)
    {
      echo $print_me;
    }
  }

  function getStringBetween($string, $start, $end)
  {
    $string = ' ' . $string;
    $ini = strpos($string, $start);
    if ($ini == 0) return '';
    $ini += strlen($start);
    $len = strpos($string, $end, $ini) - $ini;
    return substr($string, $ini, $len);
  }

  function renderTabs($description)
  {
    $tabButtonsHtml = "";
    $tabsHtml = "";
    if($description == "" || $description == null)
    {
      return "";
    }

    $description .= "<!--%EOF%-->";
    $match = array();

    preg_match_all('/\<!--\%(.*?)\%--\>/', $description, $match);

    $tokensBlank = $match[0];
    $tokensReal = $match[1];

    $matches = array();

    for ($token = 0; $token < sizeof($tokensBlank); $token++)
    {
      if ($token < (sizeof($tokensBlank) - 1))
      {
        $matches[] = getStringBetween($description, $tokensBlank[$token], $tokensBlank[$token + 1]);
      }
    }

    $tabs = "";
    $tabsContent = "";

    for ($content = 0; $content < sizeof($matches); $content++)
    {
      if ($content == 0)
      {
        $tabs .= "<button class='nav-link me-1 active' id='tab{$content}-tab' data-bs-toggle='tab' data-bs-target='#tab{$content}' type='button' role='tab' aria-controls='tab{$content}' aria-selected='true'>{$tokensReal[$content]}</button>";

        $tabsContent .= "<div class='tab-pane fade show active' id='tab{$content}' role='tabpanel' aria-labelledby='tab{$content}-tab'>{$matches[$content]}</div>";
      }
      else
      {
        $tabs .= "<button class='nav-link me-1' id='tab{$content}-tab' data-bs-toggle='tab' data-bs-target='#tab{$content}' type='button' role='tab' aria-controls='tab{$content}' aria-selected='false'>{$tokensReal[$content]}</button>";

        $tabsContent .= "<div class='tab-pane fade' id='tab{$content}' role='tabpanel' aria-labelledby='tab{$content}-tab'>{$matches[$content]}</div>";
      }
    }
    
    $tabsSectionHtml = "
      <nav>
          <div class='nav nav-tabs' id='product-page-tabs' role='tablist'>
              $tabs
          </div>
      </nav>
      <div class='tab-content mb-3' id='product-page-tab-content'>
          $tabsContent
      </div>
    ".PHP_EOL;

    return $tabsSectionHtml;
  }

  function renderConfigurableProduct()
  {
    global $productId;

    global $attributes;
    global $db;
    global $productPrice;
    $html = "";
    $tableDescriptionHeader = "
      <div>
          <p class='table-description'>Please Choose:</p>
      </div>
    ";
    $options = array();
    foreach($attributes as $attribute)
    {
      $optionId = $attribute['options_id'];
      $optionValueId = $attribute["options_values_id"];
      $price = $attribute["options_values_id"];
      $optionsData = $db->Execute("SELECT products_options_name, products_options_type FROM zen_products_options WHERE products_options_id = $optionId");
      if(!isset($options["$optionId"]))
      {
        $options["$optionId"] = array();
        $options["$optionId"]["id"] = $optionId;
        $options["$optionId"]["title"] = $optionsData->fields['products_options_name'];
        $options["$optionId"]["type"] = $optionsData->fields['products_options_type'];
      } 
      $optionNameData = $db->Execute("SELECT * FROM zen_products_options_values WHERE products_options_values_id = '$optionValueId'");
      $options["$optionId"]["options"][] = array(
        "valueId" => $optionValueId,
        "optionName" => $optionNameData->fields['products_options_values_name'],
        "optionPrice" => $attribute['options_values_price'],
      );
    }
    foreach($options as $option)
    {
      $id = $option['id'];
      $optionTitle = $option['title'];
      $optionInput = "";
      switch($option['type'])
      {
        case 0:
          $selectOptions = "";
          foreach($option['options'] as $o)
          {
            $oTitle = $o['optionName'];
            $oPrice = $o['optionPrice'];
            $oValueId = $o['valueId'];
            if($oPrice > 0)
            {
              $oTitle .= " ( +$" . number_format($oPrice, 2) . " )";
            }
            $selectOptions .= "<option value='$oValueId'>$oTitle</option>";
          }
          $html .= "
            <div class='product-attribute-dropdown mb-3'>
              <label for='option-$id'>$optionTitle</label>
              <select class='form-select attribute-input' data-id='$id' id='option-$id' name='option-$id'>
                  <option disabled selected value=''>Please Select One...</option>
                  $selectOptions
              </select>
            </div>
          ";
          // Dropdown Input
          break;
        case '1':
          $html .= "
            <div class='mb-3'>
              <label for='option-$id'>$optionTitle</label>
              <input class='form-control attribute-input' data-attribute='true' id='option-$id'  type='text' data-id='$id' />
            </div>
          ";
          // Text Input
          break;
        case '2':
          
          // Radio Input
          break;
        case '3':
          $checkboxOptions = "";
          foreach($option['options'] as $o)
          {
            $oTitle = $o['optionName'];
            $oPrice = $o['optionPrice'];
            $oValueId = $o['valueId'];
            if($oPrice > 0)
            {
              $oTitle .= " ( +$" . number_format($oPrice, 2) . " )";
            }
            $checkboxOptions .= "
              <div class='form-check'>
                <input class='form-check-input attribute-input' type='checkbox' id='option-$oValueId' data-id='$id' value='$oValueId' >
                <label class='form-check-label' for='option-$oValueId'>
                  $oTitle
                </label>
              </div>
            ";
          }
          $html .= " 
            <div class=''>
              <p class='mb-1'>$optionTitle </p>
              $checkboxOptions
            </div>
          ";
          // Ceckbox Input
          break;
        case '4':
          $html .= "
          ";
          // File Input
          break;
        default:
          break;
      }
    }
    $input = "
      <label>Qty</label> 
      <input data-id='$productId' name='products_id[$productId]' type='number' class='form-control product-quantity-input' id='product-quantity-input-field' placeholder='0' aria-label='product quantity' aria-describedby='product quantity' />
    ";
    return "
      <p>$productPrice</p>
      $tableDescriptionHeader
      <form class=''>
        $html
        <div class='row mb-3'>
          <div class='col-2'>
            $input
          </div>
          <div class='col-10' style='align-self: end;'>
            <button type='button' class='btn bg-message-red text-white' onClick='addConfigurableToCart()' id='add-button>
                <i class='fa-solid fa-plus fa-lg'></i> ADD TO CART
            </button>
          </div>
        </div>
      </form>
    ";
  }

  function renderProductsTable()
  {
    global $products;
    global $isCallProduct;
    global $isBaseProduct;
    global $db;
    $tableDescriptionHeader = "
      <div>
          <p class='table-description'>Select Model &amp; Quantity:</p>
      </div>
    ";
    $tableCols = "<thead>";
    if($isCallProduct)
    {
      $tableCols .= "
        <tr class='bg-dark-grey'>
            <th scope='col' class='table-model-col'>Model #</th>
            <th scope='col' class='table-description-col'>Description</th>
            <th scope='col' class='table-price-col'>Price</th>
        </tr>
      ";
    }
    else
    {
      $tableCols .= "
        <tr class='bg-dark-grey'>
            <th scope='col' class='table-model-col'>Model #</th>
            <th scope='col' class='table-description-col'>Description</th>
            <th scope='col' class='table-price-col'>Price</th>
            <th scope='col'>Qty</th>
        </tr>
      ";
    }
    $tableCols .= "</thead>";
    $tableBody = "<tbody>";

    foreach($products as $product)
    {
      $id = $product['products_id'];
      $price = $isCallProduct ? "Call For Price" : "$" . number_format($product['price'], 2);
      $isExchange = false;
      if (isset($product['is_exchange']))
      {
        $isExchange = $product['is_exchange'];
      }
      $description = $product['products_alt_name'] ?: $product['products_name'];
      if($isExchange)
      {
        $description .= "</br><span class='text-blue font-weight-500'>When selecting this product, the core charge (seen below) will automatically be added to your cart.</span>";
      }
      $model = $product['products_model'];
      $inputField = $isCallProduct ? "" :  "<td><input data-id='$id' name='products_id[$id]' type='number' class='form-control product-quantity-input' placeholder='0' aria-label='product quantity' aria-describedby='product quantity' /></td>";
      $tableRow = "
        <tr data-input-id='$id'>
          <th scope='row'>$model</th>
          <td>$description</td>
          <td>$price</td>
          $inputField
        </tr>
      ";
      $tableBody .= $tableRow;
    }
    $tableBody .= "</tbody>";
    $table = "
      <div class='table-responsive products-table'>
        <table class='table table-bordered product-table'>
          $tableCols 
          $tableBody 
        </table>
      </div>
    ";
    return $tableDescriptionHeader . $table;
  }

  function renderAccessoriesTable()
  {
    global $accessories;
    global $db;
    global $isCallProduct;

    $tableHeader = "
      <div>
          <p class='table-description'>Add Optional Accessories</p>
      </div>
    ";
    $tableColumns = "
      <thead>
          <tr class='bg-dark-grey'>
              <th scope='col' class='table-model-col'>Model #</th>
              <th scope='col' class='table-description-col'>Description</th>
              <th scope='col' class='table-price-col'>Price</th>
              <th scope='col'>Qty</th>
          </tr>
      </thead>
    ";
    $tableBody = "<tbody>";
    foreach($accessories as $accessory)
    {
      $id = $accessory['products_id'];
      $description = $accessory['products_name'];
      $description .= $accessory['products_alt_name'] ? " - " . $accessory['products_alt_name'] : "";
      $model = $accessory['products_model'];
      $priceQuery = $db->Execute("select products_price as price from zen_products where products_id = $id;");
      $price = "Please Call For Price";
      $isCore = $accessory['is_core'] ? 
                "<span class='text-blue font-weight-500'>For those planning on returning a core - This amount will be refunded to your card if the core is returned within 30 days.</span></br>" :
                "";
      foreach($priceQuery as $row)
      {
        $price = number_format($row['price'], 2);
      }
      $inputField = $isCallProduct ? "" :  "<td><input data-id='$id' name='products_id[$id]' type='number' class='form-control product-quantity-input' placeholder='0' aria-label='product quantity' aria-describedby='product quantity' /></td>";
      $tableRow =  "
        <tr data-input-id='$id'>
          <th scope='row'>$model</th>
          <td>
            $isCore
            $description
          </td>
          <td>$$price</td>
          $inputField
        </tr>
      ";
      $tableBody .= $tableRow;
    }
    $tableBody .= "</tbody>";


    $table = "
      <div class='table-responsive pb-3 products-table'>
        <table class='table table-bordered product-table'>
        $tableColumns
        $tableBody
        </table>
      </div>
    ";

    return $tableHeader . $table;
  }

  function renderCoresTables()
  {
    global $db;
    global $cores;
    global $isCallProduct;

    $tableHeader = "
      <div>
          <p class='table-description'>Core Charge</p>
      </div>
    ";
    $tableColumns = "
    ";
    if($isCallProduct)
    {
      $tableColumns .= "
        <tr class='bg-dark-grey'>
            <th scope='col' class='table-model-col'>Model #</th>
            <th scope='col' class='table-description-col'>Description</th>
            <th scope='col' class='table-price-col'>Price</th>
        </tr>
      ";
    }
    else
    {
      $tableColumns .= "
        <tr class='bg-dark-grey'>
            <th scope='col'>Model #</th>
            <th scope='col'>Description</th>
            <th scope='col'>Price</th>
        </tr>
      ";
    }
    $tableBody = "<tbody>";
    foreach($cores as $core)
    {
      $id = $core['products_id'];
      $description = $core['products_name'];
      $model = $core['products_model'];
      $price = $isCallProduct ? "Call For Price" :  "$" . number_format($core['price'], 2);
      $isCore = $core['is_core'] ? 
                "<span class='text-blue font-weight-500'>For those planning on returning a core - This amount will be refunded to your card if the core is returned within 30 days.</span></br>" :
                "";
      $tableRow =  "
        <tr data-input-id='$id'>
          <th scope='row'>$model</th>
          <td>
            $isCore
            $description
          </td>
          <td>$price</td>
        </tr>
      ";
      $tableBody .= $tableRow;
    }
    $tableBody .= "</tbody>";


    $table = "
      <div class='table-responsive pb-3 products-table'>
        <table class='table table-bordered product-table'>
        $tableColumns
        $tableBody
        </table>
      </div>
    ";

    return $tableHeader . $table;
  }

  function renderButtons()
  {
    $buttonsSection = "
      <div class='pb-3 product-buttons-container'>
        <button type='button' class='btn bg-message-red text-white' onClick='addToCart()'>
            <i class='fa-solid fa-plus fa-lg'></i> ADD TO CART
        </button>
        <a href='?main_page=checkout'>
          <button type='button' class='btn bg-westech-green text-white'>
              <i class='fa-solid fa-arrow-right'></i> GO TO CHECKOUT
          </button>
        </a>
      </div>
    ";
    $buttonsSection = "
      <div class='pb-3 product-buttons-container'>
        <button type='button' class='btn bg-message-red text-white' onClick='addToCart()'>
            <i class='fa-solid fa-plus fa-lg'></i> ADD TO CART
        </button>
      </div>
    ";
    return $buttonsSection;
  }

  function preEcho($var)
  {
    echo "<pre>";
    echo $var;
    echo "</pre>";
  }

  function prePrint($arr)
  {
    echo "<pre>";
    print_r($arr);
    echo "</pre>";
  }
?>

<main class="container-lg">
    <p class="small-text breadcrumb-container">
      <?php echo $breadcrumb->trail("/"); ?>
    </p>
    <div class="row mt-5">
        <div class="col-sm-12 col-lg-5">
            <div class="product-page-image-container pb-3">
                <?php
                  echoIfTrue($isFreeShipping, '<img class="p-absolute free-shipping-image" src="/images/always-free-shipping.gif" alt="Free shippping" />');
                ?>
                <div class="d-flex justify-content-center active-image-container">
                    <img class="img-fluid main-image" src="<? echo $imageUrl; ?>" alt="<?php echo $products_name; ?> preview" />
                </div>
                <div class="row">
                  <?php
                    echo $warrantySection;
                  ?>
                  <?php
                    echoIfTrue(
                      $isMadeInTheUsa, 
                      '<div class="col-4 col-sm-3 col-md-2 col-lg-3">
                        <img class="img-fluid product-sub-image" src="/images/made-in-usa.jpg" alt="" />
                      </div>'
                    );
                  ?>
                </div>
            </div>
            <?php echoIfTrue($isFreeShipping, '<p class="mb-0 text-center">*Free shipping Excludes Hawaii and Alaska</p>'); ?>
            <p class="text-center small-text text-muted">*Image is a representation of this item. Actual item may vary.*<br />Hover over image to zoom</p>
        </div>
        <div class="col-sm-12 col-lg-7 pb-5">
            <div class="m-0 pb-4">
                <?php echo $productTitle; ?>
                <p><?php echo $productAlternateName; ?></p>
                <div class="seperator"></div>
            </div>
            <div class="row">
                <?php
                  if ($products_quantity == 1)
                  {
                    echo '<img src="/images/design/in_stock.jpg" border="0" alt="In stock product"  height="50" width="70" />';
                  }
                  else if ($products_quantity == 2)
                  {
                    echo '<img src="/images/design/in_stock_v1.jpg" border="0" alt="In stock product"  height="50" width="70" />';
                  }
                  else if ($products_quantity == 3)
                  {
                    echo '<div><img src="/images/design/quick-ship-icon.jpg" border="0" alt="Quick Ship product" height="40" width="70" /></div>';
                  }
                  else
                  {
                    echo '<p class="fw-bold m-0">Ships From Manufacturer</p>';
                  }
                ?>
                <?php 
                  if(!$hasAccessories && !$hasCores && $attributesCount > 0)
                  {
                    echo renderConfigurableProduct();
                  } 
                  else
                  {
                    echo renderProductsTable();
                    if($hasAccessories) echo renderAccessoriesTable();
                    if($hasCores) echo renderCoresTables();
                    echo renderButtons();
                  } 
                ?>
                <div>
                    <a href="mailto:contact@westechequipment.com" class="product-contact-us-section bg-dark-grey text-center d-block">Have a question? Click to email or Call 1-800-433-8831</a>
                </div>
            </div>
        </div>
    </div>
    <?php
      echo renderTabs($productDescription);
    ?>
</main>
<script>
  function checkInput($input) {
    if($input.val() === "" || $input.val() == null || $input.val() == undefined) {
        $input.toggleClass("input-error", true);
        return true;
    }
    $input.toggleClass("input-error", false);
    return false;
  }

  async function addConfigurableToCart() {
    const attributeInputs = $('.attribute-input');
    let errors = false;
    const attributesData = {};
    attributeInputs.each(function(index) {
      const inputValue = this.value;
        const input = $(this);
        const id = input.data('id');
      if(inputValue !== '' && input.attr("type") != "checkbox") {
        attributesData[id] = inputValue;
      }
      else if (input.attr("type") == "checkbox") {
        if(input.is(":checked")) {
          if(Array.isArray(attributesData[id])) {
            attributesData[id] = [...attributesData[id], inputValue];
          } else {
            attributesData[id] = [inputValue];
          }
        }
      } else {
        attributesData[id] = null;
        errors = true;
      }
    });
    if (parseInt($('#product-quantity-input-field').val()) < 1 || $('#product-quantity-input-field').val() == "") {
      errors = true;
    }
    if(errors) return;
    let results = await $.ajax({
      type: 'POST',
      url: 'ajax_cart.php',
      data: {
        'cart-action': 'add-configurable',
        'post-data': {
          productId: $('#product-quantity-input-field').data('id'),
          attributes: attributesData,
          quantity: $('#product-quantity-input-field').val()
        }
      }
    });
    location.reload();
  }
</script>