<?php
$zc150 = (PROJECT_VERSION_MAJOR > 1 || (PROJECT_VERSION_MAJOR == 1 && substr(PROJECT_VERSION_MINOR, 0, 3) >= 5));
if ($zc150) { // continue Zen Cart 1.5.0
    // add configuration menu
    if (!zen_page_key_exists('toolGoogleProductSearch')) {
        zen_register_admin_page('toolGoogleProductSearch', 'BOX_GOOGLE_PRODUCT_SEARCH', 'FILENAME_GOOGLE_PRODUCT_SEARCH', '', 'tools', 'Y', (int) $configuration_group_id);
        $messageStack->add('Enabled Google Product Search Feeder Configuration Menu.', 'success');
    }
    if (!zen_page_key_exists('configGoogleProductSearch')) {
        zen_register_admin_page('configGoogleProductSearch', 'BOX_CONFIGURATION_GOOGLE_PRODUCT_SEARCH', 'FILENAME_CONFIGURATION', 'gID=' . $configuration_group_id, 'configuration', 'Y', $configuration_group_id);
        $messageStack->add('Enabled Google Product Search Feeder Tools Menu.', 'success');
    }
}
$security_key = md5(uniqid(rand(), true));
$db->Execute("REPLACE INTO " . TABLE_CONFIGURATION . " (configuration_id, configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added, use_function, set_function) VALUES
              (NULL, 'Debug', 'GOOGLE_PRODUCTS_DEBUG', 'false', 'Turn on simple debug?', " . $configuration_group_id . ", 10, NOW(), NULL, 'zen_cfg_select_option(array(\'true\', \'false\'),'), 
              (NULL, 'Google Merchant Center FTP Username', 'GOOGLE_PRODUCTS_USERNAME', 'ftp_username', 'Enter your Google Merchant Center FTP username', " . $configuration_group_id . ", 20, NOW(), NULL, NULL),
              (NULL, 'Google Merchant Center FTP Password', 'GOOGLE_PRODUCTS_PASSWORD', 'ftp_password', 'Enter your Google Merchant Center FTP password', " . $configuration_group_id . ", 30, NOW(), NULL, NULL),
              (NULL, 'Google Merchant Center Server', 'GOOGLE_PRODUCTS_SERVER', 'uploads.google.com', 'Enter froogle server<br />default: hedwig.google.com', " . $configuration_group_id . ", 40, NOW(), NULL, NULL),
              (NULL, 'Google Merchant Center PASV', 'GOOGLE_PRODUCTS_PASV', 'true', 'Turn PASV mode on or off for FTP upload?', " . $configuration_group_id . ", 50, NOW(), NULL, 'zen_cfg_select_option(array(\'true\', \'false\'),'),
              (NULL, 'Security Key', 'GOOGLE_PRODUCTS_ACCESS_KEY', '" . $security_key. "', 'Enter a random string of numbers and characters to ensure only the admin accesses the file', " . $configuration_group_id . ", 60, NOW(), NULL, NULL),
              (NULL, 'Store Address', 'GOOGLE_PRODUCTS_ADDRESS', 'http://www.domain.com', 'Enter your website address', " . $configuration_group_id . ", 70, NOW(), NULL, NULL),
              (NULL, 'Store Description', 'GOOGLE_PRODUCTS_DESCRIPTION', '', 'Enter a short description of your store', " . $configuration_group_id . ", 80, NOW(), NULL, NULL),
              (NULL, 'Output File Name', 'GOOGLE_PRODUCTS_OUTPUT_FILENAME', 'domain', 'Set the name of your froogle output file', " . $configuration_group_id . ", 90, NOW(), NULL, NULL),
              (NULL, 'Compress Feed File', 'GOOGLE_PRODUCTS_COMPRESS', 'false', 'Compress Google Merchant Center file', " . $configuration_group_id . ", 100, NOW(), NULL, 'zen_cfg_select_option(array(\'true\', \'false\'),'),
              (NULL, 'Uploaded date', 'GOOGLE_PRODUCTS_UPLOADED_DATE', '', 'Date and time of the last upload', " . $configuration_group_id . ", 110, NOW(), NULL, NULL),
              (NULL, 'Output Directory', 'GOOGLE_PRODUCTS_DIRECTORY', 'feed/google/', 'Set the name of your froogle output directory', " . $configuration_group_id . ", 120, NOW(), NULL, NULL),
              (NULL, 'Enable Advanced XML Sanitization', 'GOOGLE_PRODUCTS_XML_SANITIZATION', 'false', 'If weird characters are causing your feed to not validate and you have already ensured your Zen Cart has been properly updated to use the UTF-8 charset, try enabling this option.  If this option is already enabled, try disabling it.', " . $configuration_group_id . ", 130, NOW(), NULL, 'zen_cfg_select_option(array(\'true\', \'false\'),'),

              (NULL, 'Max Execution Time', 'GOOGLE_PRODUCTS_MAX_EXECUTION_TIME', '', 'Override your PHP configuration by entering a max execution time in seconds for the tool (leave blank to disable):', " . $configuration_group_id . ", 140, NOW(), NULL, NULL),
              (NULL, 'Memory Limit', 'GOOGLE_PRODUCTS_MEMORY_LIMIT', '', 'Override your PHP configuration by entering a memory limit for the tool (i.e. 128M or leave blank to disable):', " . $configuration_group_id . ", 150, NOW(), NULL, NULL),

              (NULL, 'Max products', 'GOOGLE_PRODUCTS_MAX_PRODUCTS', '0', 'Default = 0 for infinite # of products', " . $configuration_group_id . ", 160, NOW(), NULL, NULL),
              (NULL, 'Starting Point', 'GOOGLE_PRODUCTS_START_PRODUCTS', '0', 'Start at which entry (not product_id)?<br />Default=0', " . $configuration_group_id . ", 170, NOW(), NULL, NULL),
              (NULL, 'Included Categories', 'GOOGLE_PRODUCTS_POS_CATEGORIES', '', 'Enter category ids separated by commas <br>(i.e. 1,2,3)<br>Leave blank to allow all categories', " . $configuration_group_id . ", 180, NOW(), NULL, NULL),
              (NULL, 'Excluded Categories', 'GOOGLE_PRODUCTS_NEG_CATEGORIES', '', 'Enter category ids separated by commas <br>(i.e. 1,2,3)<br>Leave blank to deactivate', " . $configuration_group_id . ", 190, NOW(), NULL, NULL),
              (NULL, 'Included Manufacturers', 'GOOGLE_PRODUCTS_POS_MANUFACTURERS', '', 'Enter manufacturer ids separated by commas <br>(i.e. 1,2,3)<br>Leave blank to allow all categories', " . $configuration_group_id . ", 200, NOW(), NULL, NULL),
              (NULL, 'Excluded Manufacturers', 'GOOGLE_PRODUCTS_NEG_MANUFACTURERS', '', 'Enter manufacturer ids separated by commas <br>(i.e. 1,2,3)<br>Leave blank to deactivate', " . $configuration_group_id . ", 210, NOW(), NULL, NULL),
              (NULL, 'Skip Duplicate Titles', 'GOOGLE_PRODUCTS_SKIP_DUPLICATE_TITLES', 'true', 'Skip duplicate titles (required if submitting to Google US', " . $configuration_group_id . ", 215, NOW(), NULL, NULL),

              (NULL, 'Expiration Date Base', 'GOOGLE_PRODUCTS_EXPIRATION_BASE', 'now', 'Expiration Date Base:<ul><li>now - add Adjust to current date;</li><li>product - add Adjust to product date (max(date_added, last_modified, date_available))</li></ul>', " . $configuration_group_id . ", 220, NOW(), NULL, 'zen_cfg_select_option(array(\'now\', \'product\'),'),
              (NULL, 'Expiration Date Adjust', 'GOOGLE_PRODUCTS_EXPIRATION_DAYS', '29', 'Expiration Date Adjust in Days', " . $configuration_group_id . ", 221, NOW(), NULL, NULL),

              (NULL, 'Show Default Currency', 'GOOGLE_PRODUCTS_CURRENCY_DISPLAY', 'true', 'Display Currency', " . $configuration_group_id . ", 240, NOW(), NULL, 'zen_cfg_select_option(array(\'true\', \'false\'),'),
              (NULL, 'Default Currency', 'GOOGLE_PRODUCTS_CURRENCY', 'USD', 'Select currency', " . $configuration_group_id . ", 250, NOW(), NULL, 'google_cfg_pull_down_currencies('),
              (NULL, 'Show Offer ID', 'GOOGLE_PRODUCTS_OFFER_ID', 'id', 'A unique alphanumeric identifier for the item - products_id code. ', " . $configuration_group_id . ", 260, NOW(), NULL, 'zen_cfg_select_option(array(\'id\', \'model\', \'UPC\', \'ISBN\', \'EAN\', \'false\'),'),
              (NULL, 'Shipping Options', 'GOOGLE_PRODUCTS_SHIPPING', '', 'The shipping options available for an item', " . $configuration_group_id . ", 270, NOW(), NULL, NULL),
              (NULL, 'Default Condition', 'GOOGLE_PRODUCTS_CONDITION', 'new', 'Choose your default condition', " . $configuration_group_id . ", 280, NOW(), NULL, 'zen_cfg_select_option(array(\'new\', \'used\', \'refurbished\'),'),
              (NULL, 'Condition', 'GOOGLE_PRODUCTS_PRODUCT_CONDITION', 'false', 'If using Numinix Product Fields, include condition?', " . $configuration_group_id . ", 290, NOW(), NULL, 'zen_cfg_select_option(array(\'true\', \'false\'),'),
              (NULL, 'Default Product Type', 'GOOGLE_PRODUCTS_DEFAULT_PRODUCT_TYPE', '', 'Enter your product type if using default', " . $configuration_group_id . ", 300, NOW(), NULL, NULL),
              (NULL, 'Product Type', 'GOOGLE_PRODUCTS_PRODUCT_TYPE', 'top', 'Use top-level, bottom-level, full-path, or your default setting as product_type?', " . $configuration_group_id . ", 310, NOW(), NULL, 'zen_cfg_select_option(array(\'default\', \'top\', \'bottom\', \'full\'),'),
              (NULL, 'Show Feed Language', 'GOOGLE_PRODUCTS_LANGUAGE_DISPLAY', 'false', 'Display Feed Language', " . $configuration_group_id . ", 320, NOW(), NULL, 'zen_cfg_select_option(array(\'true\', \'false\'),'),
              (NULL, 'Feed Language', 'GOOGLE_PRODUCTS_LANGUAGE', '1', 'Set your feed language (required):', " . $configuration_group_id . ", 330, NOW(), NULL, 'google_cfg_pull_down_languages_list('),
              (NULL, 'Show Weight', 'GOOGLE_PRODUCTS_WEIGHT', 'false', 'Include products weight?', " . $configuration_group_id . ", 340, NOW(), NULL, 'zen_cfg_select_option(array(\'true\', \'false\'),'),
              (NULL, 'Weight Units', 'GOOGLE_PRODUCTS_UNITS', 'pounds', 'What unit of weight measure?<br />pounds OR kilograms', " . $configuration_group_id . ", 350, NOW(), NULL, 'zen_cfg_select_option(array(\'pounds\', \'kilograms\'),'),
              (NULL, 'UPC/ISBN/EAN', 'GOOGLE_PRODUCTS_ASA_UPC', 'false', 'If using Numinix Product Fields, include UPC/ISBN/EAN?', " . $configuration_group_id . ", 360, NOW(), NULL, 'zen_cfg_select_option(array(\'true\', \'false\'),'),
              (NULL, 'Description 2', 'GOOGLE_PRODUCTS_ASA_DESCRIPTION_2', 'false', 'If using Numinix Product Fields, append description 2 to description?', " . $configuration_group_id . ", 370, NOW(), NULL, 'zen_cfg_select_option(array(\'true\', \'false\'),'),
              (NULL, 'Use Meta Title', 'GOOGLE_PRODUCTS_META_TITLE', 'false', 'Use meta title as the title if it exists (for products only)?', " . $configuration_group_id . ", 380, NOW(), NULL, 'zen_cfg_select_option(array(\'true\', \'false\'),'),
              (NULL, 'Enable Map Pricing', 'GOOGLE_PRODUCTS_MAP_PRICING', 'false', 'Enable MAP Pricing (requires separate add-on)?', " . $configuration_group_id . ", 390, NOW(), NULL, 'zen_cfg_select_option(array(\'true\', \'false\'),'), 
              (NULL, 'Use cPath in url', 'GOOGLE_PRODUCTS_USE_CPATH', 'false', 'Use cPath in product info url', " . $configuration_group_id . ", 400, NOW(), NULL, 'zen_cfg_select_option(array(\'true\', \'false\'),'),
              (NULL, 'Google Product Category Default', 'GOOGLE_PRODUCTS_DEFAULT_PRODUCT_CATEGORY', '', 'Enter a default Google product category from the <a href=\"http://www.google.com/support/merchants/bin/answer.py?answer=160081\" target=\"_blank\">Google Category Taxonomy</a> or leave blank (note: you can override this default setting by creating a Google Product Category attribute as per the documentation):', " . $configuration_group_id . ", 410, NOW(), NULL, NULL),

              (NULL, 'Display Tax', 'GOOGLE_PRODUCTS_TAX_DISPLAY', 'false', 'Display tax per product? (US only)', " . $configuration_group_id . ", 420, NOW(), NULL, 'zen_cfg_select_option(array(\'true\', \'false\'),'),
              (NULL, 'Tax Country', 'GOOGLE_PRODUCTS_TAX_COUNTRY', 'US', 'The country an item is taxed in (2-letter ISO CODE)', " . $configuration_group_id . ", 430, NOW(), NULL, NULL),
              (NULL, 'Tax Region', 'GOOGLE_PRODUCTS_TAX_REGION', 'CA', 'The geographic region that a tax rate applies to, e.g., in the US, the two-letter state abbreviation, ZIP code, or ZIP code range using * wildcard (examples: CA, 946*)', " . $configuration_group_id . ", 440, NOW(), NULL, NULL),
              (NULL, 'Tax Rate', 'GOOGLE_PRODUCTS_TAX_RATE', '5.00', 'Enter the percentage as a decimal number (without \"%\" symbol)', " . $configuration_group_id . ", 450, NOW(), NULL, NULL),
              (NULL, 'Tax on Shipping', 'GOOGLE_PRODUCTS_TAX_SHIPPING', 'n', 'Boolean value for whether you charge tax on shipping, y for yes or n for no - the default value is n', " . $configuration_group_id . ", 460, NOW(), NULL, 'zen_cfg_select_option(array(\'y\', \'n\'),'),

              (NULL, 'Payments Accepted', 'GOOGLE_PRODUCTS_PAYMENT_METHODS', 'Cash,Check,Visa,MasterCard,AmericanExpress,Discover,WireTransfer', 'What payment methods do you accept?', " . $configuration_group_id . ", 470, NOW(), NULL, NULL),
              (NULL, 'Payment Notes', 'GOOGLE_PRODUCTS_PAYMENT_NOTES', 'GoogleCheckout', 'Add payment notes (use this for showing you accept Google Checkout)', " . $configuration_group_id . ", 480, NOW(), NULL, NULL),

              (NULL, 'Select Shipping Method', 'GOOGLE_PRODUCTS_SHIPPING_METHOD', 'none', 'Select a shipping method from the drop-down list that is used in your store, or leave as none', " . $configuration_group_id . ", 490, NOW(), NULL, 'zen_cfg_select_option(array(\'zones table rate\', \'flat rate\', \'per item\', \'per weight unit\', \'table rate\', \'zones\', \'percategory\', \'free shipping\', \'free rules shipping\', \'none\'),'),
              (NULL, 'Table Zone ID', 'GOOGLE_PRODUCTS_RATE_ZONE', '', 'Enter the table rate ID if using a shipping method that uses table rates:', " . $configuration_group_id . ", 500, NOW(), NULL, NULL),  
              (NULL, 'Shipping Country', 'GOOGLE_PRODUCTS_SHIPPING_COUNTRY', '', 'Select the destination country for the shipping rates:', " . $configuration_group_id . ", 510, NOW(), NULL, 'google_cfg_pull_down_country_list('),
              (NULL, 'Shipping Region', 'GOOGLE_PRODUCTS_SHIPPING_REGION', '', 'Enter the destination region within the selected country (state code, or zip with wildcard *):', " . $configuration_group_id . ", 520, NOW(), NULL, NULL),
              (NULL, 'Shipping Service', 'GOOGLE_PRODUCTS_SHIPPING_SERVICE', '', 'Enter the shipping service type (i.e. Ground):', " . $configuration_group_id . ", 530, NOW(), NULL, NULL),
              (NULL, 'Pickup', 'GOOGLE_PRODUCTS_PICKUP', 'do not display', 'Local pickup available?', " . $configuration_group_id . ", 540, NOW(), NULL, 'zen_cfg_select_option(array(\'true\', \'false\', \'do not display\'),'),

              (NULL, 'Alternate Image URL', 'GOOGLE_PRODUCTS_ALTERNATE_IMAGE_URL', '', 'Add an alternate URL if your images are hosted offsite (i.e. http://www.domain.com/images/).  Your defined image will be appended to the end of this URL.', " . $configuration_group_id . ", 550, NOW(), NULL, NULL),
              (NULL, 'Image Handler', 'GOOGLE_PRODUCTS_IMAGE_HANDLER', 'false', 'Resize images using image handler (separate module required)?', " . $configuration_group_id . ", 560, NOW(), NULL, 'zen_cfg_select_option(array(\'true\', \'false\'),'),
              
              (NULL, 'Magic SEO URLs', 'GOOGLE_PRODUCTS_MAGIC_SEO_URLS', 'false', 'Output Magic SEO URLs (separate module required)?', " . $configuration_group_id . ", 999, NOW(), NULL, 'zen_cfg_select_option(array(\'true\', \'false\'),');");